Subject: Re: bug#25701: 25.1; Fresh build on OS X doesn't get keyboard control after spawned

From: Philipp Stephani <[email-masked]>
Date: Mon, 13 Feb 2017 08:10:00 +0000

On macOS, 'make install' doesn't actually install anything, it just creates
the application bundle in the nextstep directory.

Edgar A <[email-masked]> schrieb am Mo., 13. Feb. 2017 um
09:07 Uhr:

> Thank you for the reply.
>
> But what about developing? I don’t necessarily want to install this on my
> machine, just to test/debug to fix an emacs bug.
>
> On Feb 13, 2017, at 12:05 AM, Philipp Stephani <[email-masked]>
> wrote:
>
>
>
> Edgar A <[email-masked]> schrieb am Mo., 13. Feb. 2017 um
> 08:39 Uhr:
>
> Hello,
>
> I'm on 862d6438cfa6c6c035033697751f3d002357b024 and built emacs with:
> `./configure --without-makeinfo`. This resulted in the binaries under
> `src` called `emacs` and `emacs-26.0.50.1`. Now when I start these
> binaries in a shell then the GUI does not end up getting the keyboard
> control and it continues typing in the shell. In addition, focus never
> shifts to the GUI and click on the top bar doesn't change focus to emacs
> although I'm able to move the GUI about.
>
>
> These binaries aren't proper application bundles in the macOS sense, so
> you can't run them directly. Run
>    make install && open nextstep/Emacs.app
> instead.
>
>
>